BizKitHub
DocsAPI ReferencePost/bff/post/resolve-category-by-ai
postPostAdmin BFF

/bff/post/resolve-category-by-ai

Uses AI to analyze the post title and content and select the best matching category from all active categories in the organisation. If no category is a good fit, the current category remains unchanged.

PostpostBffPostResolve-category-by-ai

Parameters

JSON body

Request body

application/json
postIdstringRequired

Post external ID.

ExampleaBcDeFgH12345678

Response schema

1 status code documented

200Success
successbooleanRequired
changedbooleanRequired

Whether the category was changed.

categoryobject | nullRequired
One of 2:
Variant 1
categoryIdnumberRequired

Internal ID of the selected category.

categoryNamestringRequired

Name of the selected category.

Variant 2
null

Response example

application/json
{
  "success": false,
  "changed": false
}

Request example

POST /bff/post/resolve-category-by-ai

post
curl -X POST "https://api.bizkithub.com/bff/post/resolve-category-by-ai" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "postId": "aBcDeFgH12345678"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key